/**
 * This file enables the dynamic header system in Envy.
 * 
 * @author Jon Barratt / Krolyn Studios (http://envy.krolyn.com)
 * @since Envy Version 1.3
 */


jQuery( document ).ready( function($) {


	// Declare variables
	var topnavHeight, sliderHeight, headerHeight, windowWidth;


	// Page setup (if slider active else inactive)
	if ( ! $( ".home-slider #genesis-responsive-slider" ).length ) {

		sliderHeight = 0;
		$( window ).resize( envySetup );
		envySetup();

	} else {

		$( window ).on( 'load resize', function() {

			setTimeout( function() {
				sliderHeight = $( ".home-slider" ).outerHeight() || 0;
				envySetup();
			}, 100 );

		});

	}


	// Header narrow on scroll
	$( window ).scroll( envyFunc );


	// Displace anchor on goto
	$( window ).on( 'load hashchange', function() {

		var sumOfHeights = topnavHeight + headerHeight;

		setTimeout( function() {
			if ( $( location.hash ).length !== 0 && windowWidth > 460 ) {
				window.scrollTo( 0, window.scrollY - sumOfHeights );
			}
		}, 100 );

	});


	function envySetup() {

		// Get values for variables
		topnavHeight = $( ".nav-secondary" ).outerHeight() || 0;
		headerHeight = $( ".site-header" ).height();
		windowWidth = $( window ).width();

		envyFunc();

	}


	function envyFunc() {

		var scrollYpos = $( document ).scrollTop();

		if ( windowWidth > 960 && $( ".home-slider" ).length && scrollYpos < sliderHeight - 5 ) {

			// Set displacements in flow
			$( ".site-container" ).css( 'padding-top', topnavHeight );
			$( ".home-slider" ).css( 'margin-bottom', headerHeight );

			// Unstick header and make header full height
			$( ".site-header" ).addClass( 'unstuck' ).css( 'top', sliderHeight + topnavHeight );
			$( ".site-header .wrap" ).removeClass( 'narrow' );			

			return false

		} else {

			// Set displacements in flow
			$( ".site-container" ).css( 'padding-top', topnavHeight + headerHeight );
			$( ".home-slider" ).css( 'margin-bottom', 0 );

			// Make header sticky
			$( ".site-header" ).removeClass( 'unstuck' ).css( 'top', topnavHeight );

			// Make header narrow on scroll
			if ( windowWidth > 960 && scrollYpos > 5 ) {
				$( ".site-header .wrap" ).addClass( 'narrow' );
			} else {
    			$( ".site-header .wrap" ).removeClass( 'narrow' );	
			}

		}

	}


	// Fade out store notice after load
	$( ".demo_store" ).delay( 4000 ).slideUp();


});